package com.qmth.teachcloud.common.bean.result;

import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.entity.SysUserRole;

import java.util.List;
import java.util.Set;

/**
 * @Description: 用户批量处理
 * @Author: CaoZixuan
 * @Date: 2021-08-12
 */
public class UserBatchDisposeResult {
    private List<SysUser> userList;
    private List<SysUserRole> userRoleList;
    private Set<Long> removeIdSet;
    private Set<Long> updateIdSet;

    public List<SysUser> getUserList() {
        return userList;
    }

    public void setUserList(List<SysUser> userList) {
        this.userList = userList;
    }

    public List<SysUserRole> getUserRoleList() {
        return userRoleList;
    }

    public void setUserRoleList(List<SysUserRole> userRoleList) {
        this.userRoleList = userRoleList;
    }

    public Set<Long> getRemoveIdSet() {
        return removeIdSet;
    }

    public void setRemoveIdSet(Set<Long> removeIdSet) {
        this.removeIdSet = removeIdSet;
    }

    public Set<Long> getUpdateIdSet() {
        return updateIdSet;
    }

    public void setUpdateIdSet(Set<Long> updateIdSet) {
        this.updateIdSet = updateIdSet;
    }
}
